Bug 28902 - Grey color should be on label for record metadata
Summary: Grey color should be on label for record metadata
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Fridolin Somers
QA Contact: Testopia
URL:
Keywords: accessibility
Depends on:
Blocks:
 
Reported: 2021-08-26 06:30 UTC by Fridolin Somers
Modified: 2021-09-03 14:49 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
In record search or details, label is now with grey color (for example "Author:") and metadata with black color (for example "J.R.R Tolkien"). For both OPAC and staff interface.
Version(s) released in:
21.11.00


Attachments
Bug 28902: Grey color on label for record metadata (1.98 KB, patch)
2021-08-26 06:33 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 28902: Grey color on label for record metadata (2.03 KB, patch)
2021-08-26 10:42 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28902: Grey color on label for record metadata (2.08 KB, patch)
2021-08-29 10:49 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin Somers 2021-08-26 06:30:43 UTC
Actually looking at a record search or details, we see a black label (for example "Author:") and a grey metadata (for example "J.R.R Tolkien").

Seems bad for accessibility.
In my opinion the most important to see is the metadata not the label.

It is possible to change with a custom CSS but I open this report to propose to change default display.
Comment 1 Fridolin Somers 2021-08-26 06:33:07 UTC
Created attachment 124098 [details] [review]
Bug 28902: Grey color on label for record metadata

Actually looking at a record search or details, we see a black label (for example "Author:") and a grey metadata (for example "J.R.R Tolkien").

Seems bad for accessibility.
In my opinion the most important to see is the metadata not the label.

It is possible to change with a custom CSS but I open this report to propose to change default display.

Test plan :
1) Apply patch and build CSS in OPAC and staff interface
2) Search for any record in OPAC/Staff interface
3) You see grey labal and black metadata
Comment 2 Owen Leonard 2021-08-26 10:42:14 UTC
Created attachment 124100 [details] [review]
Bug 28902: Grey color on label for record metadata

Actually looking at a record search or details, we see a black label
(for example "Author:") and a grey metadata (for example "J.R.R Tolkien").

Seems bad for accessibility.
In my opinion the most important to see is the metadata not the label.

It is possible to change with a custom CSS but I open this report to
propose to change default display.

Test plan :
1) Apply patch and build CSS in OPAC and staff interface
2) Search for any record in OPAC/Staff interface
3) You see grey label and black metadata

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Katrin Fischer 2021-08-29 10:49:37 UTC
Created attachment 124217 [details] [review]
Bug 28902: Grey color on label for record metadata

Actually looking at a record search or details, we see a black label
(for example "Author:") and a grey metadata (for example "J.R.R Tolkien").

Seems bad for accessibility.
In my opinion the most important to see is the metadata not the label.

It is possible to change with a custom CSS but I open this report to
propose to change default display.

Test plan :
1) Apply patch and build CSS in OPAC and staff interface
2) Search for any record in OPAC/Staff interface
3) You see grey label and black metadata

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2021-08-29 10:50:48 UTC
I've used the Lighthouse audit in Google chrome (hints on bug 28188) to check if it would complain about the grey, but it does not. So I think we are good here and I like the idea of highlighting the more important information.
Comment 5 Jonathan Druart 2021-08-30 15:12:40 UTC
Pushed to master for 21.11, thanks to everybody involved!